gnutls_x509_tlsfeatures_get(3)

NAME
gnutls_x509_tlsfeatures_get - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_tlsfeatures_get(gnutls_x509_tlsfeatures_t f, unsigned idx, unsigned int * feature);

ARGUMENTS

gnutls_x509_tlsfeatures_t f
    The TLS features

unsigned idx
    The index of the feature to get

unsigned int * feature
    If the function succeeds, the feature will be stored in this variable

DESCRIPTION
This function will get a feature from the X.509 TLS features extension structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/